{ pkgs, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking.hostName = "midas";

  system = {
    desktop.enable = true;
    lanzaboote.enable = true;
    fancyboot.enable = true;
    libvirtd.enable = true;
    stateVersion = "24.11";
  };

  hardware.graphics = {
    extraPackages = with pkgs; [
      intel-media-driver
      intel-ocl
      intel-vaapi-driver
    ];
    extraPackages32 = with pkgs.driversi686Linux; [
      intel-media-driver
      intel-vaapi-driver
    ];
  };

  nixpkgs.allowUnfreePackages = [ "intel-ocl" ];

  services.xserver.videoDrivers = [
    "intel"
    "i915"
  ];
}
